Bug 1692391 - Review Request: obs-service-download_files - An OBS source service: download files
Summary: Review Request: obs-service-download_files - An OBS source service: download ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 13:43 UTC by Neal Gompa
Modified: 2019-03-29 19:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 03:27:33 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2019-03-25 13:43:51 UTC
Spec URL: https://ngompa.fedorapeople.org/for-review/obs-service-download_files.spec
SRPM URL: https://ngompa.fedorapeople.org/for-review/obs-service-download_files-0.6.2-1.fc29.src.rpm

Description:
This is a source service for openSUSE Build Service.

This service is parsing all spec files and downloads all
Source files which are specified via http, https, or ftp URLs.

Fedora Account System Username: ngompa

Comment 1 Robert-André Mauchin 🐧 2019-03-25 14:44:38 UTC
 - %makeinstall is deprecated, use %make_install

 - Add Version-Release in your %changelog entry

obs-service-download_files.noarch: W: no-version-in-last-changelog


Package is approved, please fix the aforementioned issue.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)". 17 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/obs-service-download_files/review-obs-
     service-download_files/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/obs(osc, obs-
     service-set_version), /usr/lib/obs/service(osc, obs-service-
     set_version)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: obs-service-download_files-0.6.2-1.fc31.noarch.rpm
          obs-service-download_files-0.6.2-1.fc31.src.rpm
obs-service-download_files.noarch: W: spelling-error %description -l en_US openSUSE -> opens Use, open SUSE, open-SUSE
obs-service-download_files.noarch: W: spelling-error %description -l en_US https -> HTTP
obs-service-download_files.noarch: W: no-version-in-last-changelog
obs-service-download_files.noarch: W: only-non-binary-in-usr-lib
obs-service-download_files.src: W: spelling-error %description -l en_US openSUSE -> opens Use, open SUSE, open-SUSE
obs-service-download_files.src: W: spelling-error %description -l en_US https -> HTTP
obs-service-download_files.src: W: no-version-in-last-changelog
obs-service-download_files.src:41: E: hardcoded-library-path in %{_prefix}/lib/obs
obs-service-download_files.src:42: E: hardcoded-library-path in %{_prefix}/lib/obs/service
2 packages and 0 specfiles checked; 2 errors, 7 warnings.

Comment 2 Gwyn Ciesla 2019-03-25 15:53:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/obs-service-download_files

Comment 3 Fedora Update System 2019-03-25 21:34:48 UTC
obs-service-extract_file-0.3-1.20190325git8ea7a76.fc30 obs-service-download_files-0.6.2-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4da9bfeb9b

Comment 4 Fedora Update System 2019-03-25 21:35:17 UTC
obs-service-extract_file-0.3-1.20190325git8ea7a76.fc29 obs-service-download_files-0.6.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b961b95168

Comment 5 Fedora Update System 2019-03-26 02:36:58 UTC
obs-service-download_files-0.6.2-1.fc28 obs-service-extract_file-0.3-2.20190325git8ea7a76.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-521b1b4621

Comment 6 Fedora Update System 2019-03-27 03:27:33 UTC
obs-service-download_files-0.6.2-1.fc28, obs-service-extract_file-0.3-2.20190325git8ea7a76.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-03-27 15:00:52 UTC
obs-service-download_files-0.6.2-1.fc29, obs-service-extract_file-0.3-2.20190325git8ea7a76.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-03-29 19:20:43 UTC
obs-service-download_files-0.6.2-1.fc30, obs-service-extract_file-0.3-2.20190325git8ea7a76.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.